Skip to main content

User

Timezone List

Use this API to get the list of all timezones.

 GET /user/timezone-list Try now

For general error details, click here.

Language List

Use this API to list all availale languages.

 GET /user/language-list Try now

For general error details, click here.

User List

Use this API to list all Users. This end point is only accessible by Admin or Manager role.

 GET /user/user-list Try now

Query string parameters

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 50
qstringFilter data by firstName, lastName, email.

For general error details, click here.

User Details

Use this API to get details of an individual user.

 GET /user/{userId}/detail Try now

For general error details, click here.

User Custom Fields

Use this API to get details of a user custom feilds.

 GET /user/{userId}/custom-fields Try now

Path parameters

FieldTypeDescription
userId
required
integerA single user ID

For general error details, click here.

User Create

Use this API to create a user in the LMS. This end point is only accessible by Admin or Manager role.

 POST /user/create Try now

Request body parameters

FieldTypeDescription
titlestringTitle. e.g.: Mr, Mrs, Ms, Dr, Prof
firstName
required
stringFirst Name
lastName
required
stringLast Name
email
required
stringEmail Address
countryCodestringCountry code e.g.: +91
mobilestringMobile Number e.g.: 9876543210
userCanChoosePassword
required
integer0-No, 1-Yes
passwordstringIf userCanChoosePassword = 0 than set password.
uniqueIdstringEmployeeID OR Roll no
roleId
required
integer3-Trainee, 4-Trainer, 6-Manager, 9-Reporting
reportingTointegerID of the reporting person
companyNamestringCompany Name
departmentintegerDepartment ID
designationintegerDesignation ID
branchintegerBranch ID
zipcodestringPincode
cityintegerCity ID
stateintegerState ID
countryintegerCountry ID
timezonestringe.g.: Asia/Kolkata
languagestringe.g.: en-US
sendEmailNotification
required
integer0–No, 1–Yes

For general error details, click here.

User Update

Use this API to update details of a user.

 PUT /user/{userId}/update Try now

Path parameters

FieldTypeDescription
userId
required
integerA single user ID

Query string parameters

FieldTypeDescription
firstNamestringFirst Name
lastNamestringLast Name
companyNamestringCompanyName
departmentintegerDepartment ID
designationintegerDesignation ID
branchintegerBranch ID
mobilestringContact Number
cityintegerCity ID
stateintegerState ID
countryintegerCountry ID
customFieldID_{fieldId}stringYou can get the fieldId using the User Custom Fields endpoint: /user/{userId}/custom-fields e.g.: if 26 is the fieldId then enter customFieldID_26
timezonestringTimezone
languagestringLanguage eg: en-US
statusinteger1 – Enable, 0 – Disable, 2 – Delete

For general error details, click here.

Frontend Signup

Use this API to register a new Trainee from a frontend website. Note: Trainee will only get registered after they have verified their email. This end point is only accessible by Admin or Manager role.

 POST /user/signup Try now

Request body parameters

FieldTypeDescription
titlestringTitle. It should be Mr, Mrs, Ms, Dr, Prof
firstName
required
stringFirst Name
lastName
required
stringLast Name
email
required
stringEmail Address
countryCode
required
stringCountry code e.g.: +91
mobile
required
stringMobile Number e.g.: 9876543210
ipAddress
required
stringIP Address
sendEmailNotification
required
integer1 – Yes (Send email to Trainee), 0 – No (Do not send email to Trainee)
overrideEmailUrlstringUse this to redirect to your frontend domain for email verification. {token} is required e.g.: https://www.example.com/verify-token/{token}
receiveVerificationEmailOnstringe.g.: manager@example.com (Post verification by Trainee, get CC of the confirmation email sent to Trainee)
passwordstringPassword
timezonestringTimezone of the user.
cityintegerCity ID
stateintegerState ID
countryintegerCountry ID

For general error details, click here.

Frontend Signup Verification

Use this API to verify Trainee registeration done via frontend website.

 POST /user/signup-verify Try now

Request body parameters

FieldTypeDescription
token
required
stringToken
password
required
stringPassword

For general error details, click here.

Trainee Calender Events

Use this API to get the list of calender events of a Trainee.

 GET /user/{userId}/trainee-calendar Try now

Path parameters

FieldTypeDescription
userId requiredintegerUser ID

Query string parameters

FieldTypeDescription
fromDate
required
stringFrom Date
toDate
required
stringTo Date

For general error details, click here.

Team Member Details

Use this API to get enrollment details of a team member.

 GET /user/{userId}/team-member Try now

Path parameters

FieldTypeDescription
userId requiredintegerTo get team member list, pass the logged in Trainee's userId. If you want to get details of a team member, pass team member's userId

Query string parameters

FieldTypeDescription
typeinteger1 - to get all details of a individual team member

For general error details, click here.

Trainee Dashboard Details

Use this API to get dashoboard details of a trainee.

 GET /user/{userId}/trainee-dashboard Try now

Path parameters

FieldTypeDescription
userId requiredintegerUser ID

For general error details, click here.

Trainee Commom Action

Use this API to submit rating, disable exam notification, submit terms and conditions.

 POST /user/{userId}/trainee-common-action Try now

Path parameters

FieldTypeDescription
userId requiredintegerUser ID

Request body parameters

FieldTypeDescription
type
required
integer1 - course rating, 2 - exam don't remind, 3 - accept terms and conditons
actionData
required
JSON ArrayEnrollmentData:
  1. 1. If type = 1 than actionData = {"enrollmentId": 21411, "rating": 3}
  2. 2. If type = 1 than actionData = {"examScheduleId": 21411}
  3. 3. If type = 3 than actionData = {"accept": 1}

For general error details, click here.

Trainee Menu Details

Use this API to get list of menu items visible to Trainee

 GET /user/trainee-menu Try now

Query string parameters

FieldTypeDescription
typestringe.g Query, Gamificaion

For general error details, click here.